### Method

# Gio Application set_flags

since: 2.28

#### Declaration

    void
    g_application_set_flags (
      GApplication* application,
      GApplicationFlags flags
    )

#### Description

Sets the flags for `application`.

The flags can only be modified if `application` has not yet been registered.

See `GApplicationFlags`.

Available since: 2.28

Sets property | `Gio.Application:flags`

#### Parameters

`flags`

  Type: `GApplicationFlags`

  The flags for `application`.